# Uses of Interface
org.springframework.beans.factory.config.ConfigurableBeanFactory

Packages that use ConfigurableBeanFactory
Package
Description
org.springframework.beans.factory.config
SPI interfaces and configuration-related convenience classes for bean factories.
org.springframework.beans.factory.support
Classes supporting the `org.springframework.beans.factory` package.

## Uses of ConfigurableBeanFactory in org.springframework.beans.factory.config

Subinterfaces of ConfigurableBeanFactory in org.springframework.beans.factory.config
Modifier and Type
Interface
Description
`interface`
`ConfigurableListableBeanFactory`
Configuration interface to be implemented by most listable bean factories.
Methods in org.springframework.beans.factory.config that return ConfigurableBeanFactory
Modifier and Type
Method
Description
`final ConfigurableBeanFactory`
BeanExpressionContext.`getBeanFactory()`
Methods in org.springframework.beans.factory.config with parameters of type ConfigurableBeanFactory
Modifier and Type
Method
Description
`void`
ConfigurableBeanFactory.`copyConfigurationFrom(ConfigurableBeanFactory otherFactory)`
Copy all relevant configuration from the given other factory.
Constructors in org.springframework.beans.factory.config with parameters of type ConfigurableBeanFactory
Modifier
Constructor
Description
``
`BeanExpressionContext(ConfigurableBeanFactory beanFactory, Scope scope)`
``
`EmbeddedValueResolver(ConfigurableBeanFactory beanFactory)`

## Uses of ConfigurableBeanFactory in org.springframework.beans.factory.support

Classes in org.springframework.beans.factory.support that implement ConfigurableBeanFactory
Modifier and Type
Class
Description
`class`
`AbstractAutowireCapableBeanFactory`
Abstract bean factory superclass that implements default bean creation, with the full capabilities specified by the `RootBeanDefinition` class.
`class`
`AbstractBeanFactory`
Abstract base class for `BeanFactory` implementations, providing the full capabilities of the `ConfigurableBeanFactory` SPI.
`class`
`DefaultListableBeanFactory`
Spring's default implementation of the `ConfigurableListableBeanFactory` and `BeanDefinitionRegistry` interfaces: a full-fledged bean factory based on bean definition metadata, extensible through post-processors.
Methods in org.springframework.beans.factory.support with parameters of type ConfigurableBeanFactory
Modifier and Type
Method
Description
`void`
AbstractAutowireCapableBeanFactory.`copyConfigurationFrom(ConfigurableBeanFactory otherFactory)`
`void`
AbstractBeanFactory.`copyConfigurationFrom(ConfigurableBeanFactory otherFactory)`
`void`
DefaultListableBeanFactory.`copyConfigurationFrom(ConfigurableBeanFactory otherFactory)`